---
title: Development Setup
description: Instructions to set up a local development environment for hackclub.tv
---

Follow these steps to run hackclub.tv locally:

1. Clone the repository.
2. Install dependencies:

```
pnpm install
```

3. Create environment files:

```
cp apps/web/.env.example apps/web/.env && cp packages/db/.env.example packages/db/.env
```

4. Fill in the required values in both .env files.
5. Start the development servers:

```
pnpm dev
```

6. Run database migrations (after environment variables are set):

```
pnpm db:migrate
```

- Slack notifier app manifest:
```
display_information:
  # Please change the name to something linked to you.
  name: hctv notifier dev
features:
  bot_user:
    # Same here.
    display_name: hctv notifier dev
    always_online: false
oauth_config:
  scopes:
    bot:
      - chat:write
      - users:read
      - channels:join
settings:
  org_deploy_enabled: false
  socket_mode_enabled: false
  token_rotation_enabled: false
```